

-- UPDATE 11.0.0/fix_db_20170616.sql

-- semantic zooming
alter table element_table add column zoomlevelvisibility character varying default null;
alter table reaction_table add column zoomlevelvisibility character varying default null;


-- UPDATE 11.0.0/fix_db_20170627.sql

-- clear mesh cache
delete from cachequery  where type in (select iddb from cache_type where classname = 'lcsb.mapviewer.annotation.services.MeSHParser');

-- UPDATE 11.0.0/fix_db_20170628.sql

-- semantic zooming
alter table element_table drop column zoomlevelvisibility ;
alter table reaction_table drop column zoomlevelvisibility ;

ALTER TABLE element_table ALTER COLUMN visibilitylevel TYPE character varying;
ALTER TABLE element_table ALTER COLUMN transparencylevel TYPE character varying;

alter table reaction_table add column visibilitylevel character varying default null;

-- UPDATE 11.0.0/fix_db_20170629.sql

-- semantic zooming
alter table layout add column hierarchyviewlevel integer;

-- UPDATE 11.0.0/fix_db_20170705.sql

-- removed cached drugs
delete from cachequery where query like 'drug:%' and type in (select iddb from cache_type  where classname = 'lcsb.mapviewer.annotation.services.DrugbankHTMLParser');

-- UPDATE 11.0.0/fix_db_20170714.sql

-- some sequences had too low values
DO $$ 
DECLARE 
	rec 	RECORD;
	size 	INT;
BEGIN
	FOR rec IN SELECT * FROM information_schema.sequences LOOP
		/*RAISE NOTICE 'SELECT MAX(iddb)+1 FROM %', REPLACE(rec.sequence_name, '_iddb_seq', '');*/
		EXECUTE format('SELECT COUNT(1) FROM information_schema.tables WHERE table_name = ''%s''', REPLACE(rec.sequence_name, '_iddb_seq', '')) INTO size;
		IF  size = 1 THEN
			EXECUTE format('SELECT setval(''%s'', (SELECT MAX(iddb)+1 FROM %I))', rec.sequence_name, REPLACE(rec.sequence_name, '_iddb_seq', ''));		
		END IF;
		EXECUTE format('SELECT COUNT(1) FROM information_schema.tables WHERE table_name = ''%s''', REPLACE(rec.sequence_name, '_iddb_seq', '_table')) INTO size;
		IF  size = 1 THEN
			EXECUTE format('SELECT setval(''%s'', (SELECT MAX(iddb)+1 FROM %I))', rec.sequence_name, REPLACE(rec.sequence_name, '_iddb_seq', '_table'));
		END IF;
	END LOOP;
END $$;

-- UPDATE 11.0.0/fix_db_20170725.sql

--simple color for coloring
alter table user_table  add column simplecolor bytea;

-- UPDATE 11.0.0/fix_db_20170731.sql

--drugbank targets issue 
delete from cachequery  where type in (select iddb from cache_type  where classname = 'lcsb.mapviewer.annotation.services.DrugbankHTMLParser') and not query like 'http%';
